%global         knownfolders_commit     bf79988adcfce166f848e4b11e718c1966365329
%global         diffz_commit            e10bf15962e45affb3fcd7d9a950977a69c901b3

Name:           zls
Version:        0.12.0
Release:        1%{?dist}
Summary:        A Zig language server with features like autocomplete and goto definition 

License:        MIT
URL:            https://github.com/zigtools/zls
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/ziglibs/known-folders/archive/%{knownfolders_commit}/knownfolders-%{knownfolders_commit}.tar.gz
Source2:        https://github.com/ziglibs/diffz/archive/%{diffz_commit}/diffz-%{diffz_commit}.tar.gz
Source3:        https://raw.githubusercontent.com/ziglang/zig/%{version}/doc/langref.html.in#/%{name}-%{version}-langref.html.in

# Broken in COPR
# https://github.com/fedora-copr/copr/issues/3244
#ExclusiveArch:  %%{zig_arches}

BuildRequires:  (zig >= 0.12 with zig < 0.13)
BuildRequires:  zig-rpm-macros

%description
The Zig Language Server (ZLS) is a tool that implements Microsoft's Language
Server Protocol for Zig in Zig. In simpler terms: it'll provide you with
completions, go-to definition, etc. when you write Zig code!

%prep
%setup -q -a 1 -a 2

%build
%zig_fetch known-folders-%{knownfolders_commit}
%zig_fetch diffz-%{diffz_commit}

%zig_build \
    -Dpie=true \
    -Dversion_data_path="%{SOURCE3}"

%install
# Options need to be duplicated because an "install" is just building and moving stuff into the correct place
%zig_install \
    -Dpie=true \
    -Dversion_data_path="%{SOURCE3}"

%check
%zig_test

%files
%license LICENSE
%doc README.md
%{_bindir}/zls

%changelog
* Sat May 25 2024 Jan200101 <sentrycraft123@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Thu May 02 2024 Jan200101 <sentrycraft123@gmail.com> - 0.11.0-1
- Update to 0.11

* Sat Mar 26 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 0.9.0-1
- Update to 0.9.0

* Tue Sep 14 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 0.1.0-1
- Bump release


